Skip to main content
Forms

Get empty JSON payload with default values for a model for a method name

This method requires the FormsHelper:Get permission to be associated with your role.

GET
/gb/form/request/model
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
model_pathstringqueryrequired

Path of the model. E.g /fm/channel/groups

Maximum string length: 255
Pattern: ^[a-zA-Z0-9\/\-\_\{\}]+$
model_methodenum<string>querydefault:POST

POST or PUT method. Default method is POST.

Available options: POST, PUT

Response

application/vnd.catch-e-api.v1+json

Success

channel_group_codestring
Example:
namestring
Example:
status_flagstring
Example: active